<?php

/**
 * Plugin Name: Section Separator - Block
 * Description: Separate the section in beautiful way.
 * Version: 2.0.3
 * Author: bPlugins
 * Author URI: https://bplugins.com
 * License: GPLv3
 * License URI: https://www.gnu.org/licenses/gpl-3.0.txt
 * Text Domain: separator
 */
// ABS PATH
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
if ( function_exists( 'ss_fs' ) ) {
    ss_fs()->set_basename( false, __FILE__ );
} else {
    // Constant
    define( 'SEP_VERSION', ( isset( $_SERVER['HTTP_HOST'] ) && ('localhost' === $_SERVER['HTTP_HOST'] || 'plugins.local' === $_SERVER['HTTP_HOST']) ? time() : '2.0.3' ) );
    define( 'SEP_DIR_URL', plugin_dir_url( __FILE__ ) );
    define( 'SEP_DIR_PATH', plugin_dir_path( __FILE__ ) );
    define( 'SEP_HAS_PRO', file_exists( SEP_DIR_PATH . 'vendor/freemius/start.php' ) );
    if ( !function_exists( 'ss_fs' ) ) {
        function ss_fs() {
            global $ss_fs;
            if ( !isset( $ss_fs ) ) {
                $fsLitePath = SEP_DIR_PATH . 'vendor/freemius-lite/start.php';
                $fsPath = SEP_DIR_PATH . 'vendor/freemius/start.php';
                if ( SEP_HAS_PRO ) {
                    require_once $fsPath;
                } else {
                    require_once $fsLitePath;
                }
                $config = array(
                    'id'                  => '21999',
                    'slug'                => 'section-separator',
                    'premium_slug'        => 'section-separator-pro',
                    'type'                => 'plugin',
                    'public_key'          => 'pk_c67b51defe6039099caa5d0bc1564',
                    'is_premium'          => false,
                    'premium_suffix'      => 'Pro',
                    'has_premium_version' => true,
                    'has_addons'          => false,
                    'has_paid_plans'      => true,
                    'menu'                => array(
                        'slug'       => 'edit.php?post_type=section-separator',
                        'first-path' => 'edit.php?post_type=section-separator&page=separator_demo_page#/welcome',
                        'support'    => false,
                    ),
                );
                $ss_fs = ( SEP_HAS_PRO && file_exists( $fsPath ) ? fs_dynamic_init( $config ) : fs_lite_dynamic_init( $config ) );
            }
            return $ss_fs;
        }

        // Init Freemius.
        ss_fs();
        do_action( 'ss_fs_loaded' );
    }
    // ... Your plugin's main file logic ...
    require_once SEP_DIR_PATH . "includes/class-sepPlugin.php";
    new SEPPlugin();
    if ( SEP_HAS_PRO ) {
        require_once SEP_DIR_PATH . 'includes/LicenseActivation.php';
    }
}